//
// Created by marob on 12/27/2023.
//

#ifndef ABILITYEFFECT_H
#define ABILITYEFFECT_H
#include <memory>
#include <string>
#include "LSObject.h"


class LSObject;

class AbilityEffect {
public:
    explicit AbilityEffect(const std::shared_ptr<LSObject> &obj) {
        percentSuccess = obj->GetMember("PercentSuccess").Int;
        indentation = obj->GetMember("Indentation").Int;
        description = obj->GetMember("Description").CharPtr;
    }

    int PercentSuccess() const;
    int Indentation() const;

    std::string Description() const;
private:
    int percentSuccess;
    int indentation;
    std::string description;
};



#endif //ABILITYEFFECT_H
